## org.plovr.docgen
Class EnumDescriptor

    java.lang.Object
      org.plovr.docgen.EnumDescriptor

All Implemented Interfaces:
  Descriptor

    public class EnumDescriptor

extends java.lang.Object
implements Descriptor

Nested Class Summary
`static class` `EnumDescriptor.Builder`

Method Summary
`static EnumDescriptor.Builder` `builder()`
`java.lang.String` `getDescription()`
`java.lang.String` `getName()`
`SoyMapData` `toSoyData()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Descriptor`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `Descriptor`

### toSoyData

    public SoyMapData toSoyData()

  Specified by:
    `toSoyData` in interface `Descriptor`

### builder

    public static EnumDescriptor.Builder builder()